nvme-cli (2.10-1) sid; urgency=medium

  * Uploading to sid.
  * Merging upstream version 2.10.
  * Bumping libnvme build-depends to 1.10.
  * Removing avoid-unsupported-arm64-instructions.patch, included
    upstream.
  * Removing fix-ftbfs-t64.patch, included upstream.
  * Adding patch to remove missing manpage in meson.build to fix FTBFS.

 -- Daniel Baumann <daniel.baumann@progress-linux.org>  Mon, 05 Aug 2024 10:39:08 +0200

nvme-cli (2.9.1-3) sid; urgency=medium

  * Uploading to sid.
  * Correcting spelling-typo in filename of avoid-unsupported-
    arm64-instructions.patch.
  * Adding patch from upstream to fix FTBFS with t64 (Closes: #1077063).

 -- Daniel Baumann <daniel.baumann@progress-linux.org>  Thu, 25 Jul 2024 19:36:50 +0200

nvme-cli (2.9.1-2) sid; urgency=medium

  * Uploading to sid.
  * Adding patch from upstream to avoid using unsupported load/store
    instructions in arm64 VMs that sometimes can lead to VM termination.

 -- Daniel Baumann <daniel.baumann@progress-linux.org>  Thu, 25 Jul 2024 13:39:54 +0200

nvme-cli (2.9.1-1) sid; urgency=medium

  * Uploading to sid.
  * Merging upstream version 2.9.1.
  * Updating to standards-version 4.7.0.
  * Bumping libnvme build-depends to 1.9.

 -- Daniel Baumann <daniel.baumann@progress-linux.org>  Sun, 05 May 2024 13:09:28 +0200

nvme-cli (2.8-2) sid; urgency=medium

  * Uploading to sid.
  * Moving systemd units to /usr (Closes: #1059430).

 -- Daniel Baumann <daniel.baumann@progress-linux.org>  Wed, 06 Mar 2024 07:08:19 +0100

nvme-cli (2.8-1) sid; urgency=medium

  * Uploading to sid.
  * Merging upstream version 2.8.
  * Updating copyright for 2024.
  * Bumping libnvme build-depends to 1.8.

 -- Daniel Baumann <daniel.baumann@progress-linux.org>  Mon, 19 Feb 2024 11:45:50 +0100

nvme-cli (2.7.1-1) sid; urgency=medium

  * Uploading to sid.
  * Merging upstream version 2.7.1.
  * Bumping libnvme build-depends to 1.7.

 -- Daniel Baumann <daniel.baumann@progress-linux.org>  Sun, 24 Dec 2023 09:00:02 +0100

nvme-cli (2.5-1) sid; urgency=medium

  * Uploading to sid.
  * Merging upstream version 2.5.
  * Refreshing meson-nose2.patch.
  * Refreshing meson-systemd.patch.
  * Bumping libnvme build-depends to 1.5.

 -- Daniel Baumann <daniel.baumann@progress-linux.org>  Sat, 01 Jul 2023 00:38:58 +0200

nvme-cli (2.4+really2.4-3) sid; urgency=medium

  * Uploading to sid.
  * Uploading without changes after bookworm release.

 -- Daniel Baumann <daniel.baumann@progress-linux.org>  Sun, 11 Jun 2023 14:29:05 +0200

nvme-cli (2.4+really2.4-2) experimental; urgency=medium

  * Uploading to experimental.
  * Overwriting systemd unit directory until debhelper supports
    /usr/lib/systemd/system (Closes: #1034232).

 -- Daniel Baumann <daniel.baumann@progress-linux.org>  Sat, 15 Apr 2023 10:14:01 +0200

nvme-cli (2.4+really2.4-1) experimental; urgency=medium

  * Uploading to experimental.
  * Merging upstream version 2.4+really2.4.
  * Bumping libnvme build-depends.
  * Removing systemd.patch, not needed anymore.
  * Renumbering patches.
  * Adding libkeyutils-dev to build-depends.

 -- Daniel Baumann <daniel.baumann@progress-linux.org>  Fri, 07 Apr 2023 14:44:32 +0200

nvme-cli (2.4+really2.3-2) sid; urgency=medium

  * Uploading to sid.
  * Reverting removal of systemd.patch in nvme-cli 2.4, this package is
    identical again to 2.3-2 (before the accidental upload to sid instead
    of unstable).

 -- Daniel Baumann <daniel.baumann@progress-linux.org>  Fri, 07 Apr 2023 14:38:48 +0200

nvme-cli (2.4+really2.3-1) sid; urgency=medium

  * Uploading to sid.
  * Merging upstream version 2.4+really2.3.
  * Reverting bump of libnvme build-depends, the nvme-cli 2.4-1 upload
    should have gone to experimental.

 -- Daniel Baumann <daniel.baumann@progress-linux.org>  Mon, 03 Apr 2023 10:18:26 +0200

nvme-cli (2.4-1) sid; urgency=medium

  * Uploading to sid.
  * Merging upstream version 2.4.
  * Bumping libnvme build-depends.
  * Removing systemd.patch, not needed anymore.
  * Renumbering patches.

 -- Daniel Baumann <daniel.baumann@progress-linux.org>  Mon, 03 Apr 2023 10:00:04 +0200

nvme-cli (2.3-2) sid; urgency=medium

  * Uploading to sid.
  * Adding missing build-depends to libdbus-1-dev.

 -- Daniel Baumann <daniel.baumann@progress-linux.org>  Wed, 01 Feb 2023 06:32:17 +0100

nvme-cli (2.3-1) sid; urgency=medium

  * Uploading to sid.
  * Merging upstream version 2.3.
  * Bumping libnvme build-depends.
  * Updating copyright for 2023.

 -- Daniel Baumann <daniel.baumann@progress-linux.org>  Tue, 31 Jan 2023 05:13:39 +0100

nvme-cli (2.2.1-4) sid; urgency=medium

  * Uploading to sid.
  * Dropping (currently empty) udeb, it has never been used and was added
    because of a wishlist bug, would require more work to make it work but
    is not used for bookworm anyway.

 -- Daniel Baumann <daniel.baumann@progress-linux.org>  Mon, 23 Jan 2023 11:42:43 +0100

nvme-cli (2.2.1-3) sid; urgency=medium

  * Uploading to sid.
  * Updating to standards version 4.6.2.
  * Removing installation directories overrides, not needed anymore with
    current systemd (Closes: #1026054, #1027432).

 -- Daniel Baumann <daniel.baumann@progress-linux.org>  Wed, 04 Jan 2023 10:02:45 +0100

nvme-cli (2.2.1-2) sid; urgency=medium

  * Uploading to sid.
  * Removing now uneeded build-depends on libhugetlbfs, thanks to Lukas
    Märdian <slyon@ubuntu.com> (Closes: #1025230).

 -- Daniel Baumann <daniel.baumann@progress-linux.org>  Fri, 02 Dec 2022 14:50:14 +0100

nvme-cli (2.2.1-1) sid; urgency=medium

  * Uploading to sid.
  * Merging upstream version 2.2.1.
  * Removing uuid-dev build-dependency, not needed anymore.
  * Updating libnvme-dev build-depends for 1.2.
  * Refreshing meson-nose2.patch.

 -- Daniel Baumann <daniel.baumann@progress-linux.org>  Sat, 05 Nov 2022 19:23:57 +0100

nvme-cli (2.1.2-2) sid; urgency=medium

  * Uploading to sid.

 -- Daniel Baumann <daniel.baumann@progress-linux.org>  Tue, 18 Oct 2022 16:04:54 +0200

nvme-cli (2.1.2-1) experimental; urgency=medium

  * Uploading to experimental.
  * Merging upstream version 2.1.2.
  * Updating libnvme build-depends.

 -- Daniel Baumann <daniel.baumann@progress-linux.org>  Mon, 15 Aug 2022 14:32:51 +0200

nvme-cli (2.1~rc0-1) experimental; urgency=medium

  * Uploading to experimental.
  * Merging upstream version 2.1~rc0 (Closes: #1015722).
  * Refreshing meson-nose2.patch.
  * Updating version of libnvme build-depends as necessary.

 -- Daniel Baumann <daniel.baumann@progress-linux.org>  Tue, 26 Jul 2022 07:18:42 +0200

nvme-cli (2.0-1) experimental; urgency=medium

  * Uploading to experimental.
  * Merging upstream version 2.0.
  * Updating packaging for upstreams migration to meson,
    temporarily skipping udeb-build (needs further work).
  * Also removing /etc/nvme (if empty) on purge.

 -- Daniel Baumann <daniel.baumann@progress-linux.org>  Sat, 16 Jul 2022 18:32:50 +0200

nvme-cli (1.16-4) sid; urgency=medium

  * Uploading to sid.
  * Updating copyright for 2022.
  * Updating to standards version 4.6.1.
  * Removing trailing whitespace in changelog.
  * Adding version mangling in watch file.
  * Updating http links to https in copyright.

 -- Daniel Baumann <daniel.baumann@progress-linux.org>  Sat, 16 Jul 2022 17:04:24 +0200

nvme-cli (1.16-3) sid; urgency=medium

  * Uploading to sid.
  * Building with uuid-dev to pull in libuuid1 depends in again (Closes:
    #1002890).

 -- Daniel Baumann <daniel.baumann@progress-linux.org>  Fri, 31 Dec 2021 07:32:56 +0100

nvme-cli (1.16-2) sid; urgency=medium

  * Uploading to sid.
  * Updating watch file to use github tags instead of releases.

 -- Daniel Baumann <daniel.baumann@progress-linux.org>  Tue, 28 Dec 2021 19:22:25 +0100

nvme-cli (1.16-1) sid; urgency=medium

  * Uploading to sid.
  * Merging upstream version 1.16.

 -- Daniel Baumann <daniel.baumann@progress-linux.org>  Sat, 20 Nov 2021 08:04:50 +0100

nvme-cli (1.15-4) sid; urgency=medium

  * Uploading to sid.
  * Reuploading with udeb again, as subsequent uploads are also blocked by
    NEW.

 -- Daniel Baumann <daniel.baumann@progress-linux.org>  Sat, 09 Oct 2021 10:49:12 +0200

nvme-cli (1.15-3) sid; urgency=medium

  * Uploading to sid.
  * Updating to standards version 4.6.0.
  * Disabling udeb for now to workaround 0.15 being stuck in NEW for the
    past 10 weeks.

 -- Daniel Baumann <daniel.baumann@progress-linux.org>  Sat, 09 Oct 2021 10:44:45 +0200

nvme-cli (1.15-2) sid; urgency=medium

  * Uploading to sid.

 -- Daniel Baumann <daniel.baumann@progress-linux.org>  Sun, 15 Aug 2021 17:45:13 +0200

nvme-cli (1.15-1) experimental; urgency=medium

  * Uploading to experimental.
  * Merging upstream version 1.15.

 -- Daniel Baumann <daniel.baumann@progress-linux.org>  Thu, 12 Aug 2021 14:01:16 +0200

nvme-cli (1.14-4) experimental; urgency=medium

  * Uploading to experimental.
  * Adding nvme-udeb (Closes: #982917).

 -- Daniel Baumann <daniel.baumann@progress-linux.org>  Thu, 29 Jul 2021 07:41:12 +0200

nvme-cli (1.14-3) experimental; urgency=medium

  * Uploading to experimental.
  * Avoid shipping unused, empty directories for dracut.
  * Adding forgotten continuation dots for LGPL-block in copyright.

 -- Daniel Baumann <daniel.baumann@progress-linux.org>  Thu, 29 Jul 2021 07:20:03 +0200

nvme-cli (1.14-2) experimental; urgency=medium

  * Uploading to experimental.
  * Removing generated files on purge.
  * Completing and correcting debian/copyright.
  * Removing obsolete settings for newer systemd versions.
  * Removing unneeded build-depends.
  * Adding pci.ids to recommends as it's used by some of the plugins.
  * Correcting location of the NVMe-oF systemd service files.

 -- Daniel Baumann <daniel.baumann@progress-linux.org>  Thu, 29 Jul 2021 06:56:57 +0200

nvme-cli (1.14-1) experimental; urgency=medium

  * Uploading to experimental.
  * Merging upstream version 1.14:
    - fixes bug that can cause some Samsung controllers to go
      offline (Closes: #989840).
  * Removing whitespaces at EOL.
  * Correcting name entries in changelog.
  * Adding vcs fields.
  * Updating to standards version 4.5.1.
  * Adding rules-requires-root field.
  * Repeating section for binary packages in control for consistency
    reasons.
  * Updating format url in copyright.
  * Updating source url in copyright.
  * Adding upstream-name in copyright.
  * Adding upstream-contact in copyright.
  * Updating year in copyright.
  * Using default GPL license blocks in copyright.
  * Making postinst executable in source tree.
  * Rewriting postinst with the standard maintainer script.
  * Removing spurious bash-completion file in source tree.
  * Harmonizing rules file.
  * Removing spurious source/include-binaries file (Closes: #944833).
  * Updating watch file to version 4.
  * Wrap and sorting debian directory.
  * Updating package description.

 -- Daniel Baumann <daniel.baumann@progress-linux.org>  Fri, 02 Jul 2021 23:08:03 +0200

nvme-cli (1.12-8) unstable; urgency=medium

  * Adopting package.

 -- Daniel Baumann <daniel.baumann@progress-linux.org>  Fri, 02 Jul 2021 22:41:27 +0200

nvme-cli (1.12-7) unstable; urgency=medium

  * Orphaning the package

 -- Breno Leitao <leitao@debian.org>  Fri, 02 Jul 2021 19:37:48 +0100

nvme-cli (1.12-5) unstable; urgency=medium

  * Add uuid-runtime as dependency. (Closes: #970637)

 -- Breno Leitao <leitao@debian.org>  Tue, 22 Sep 2020 20:37:51 +0100

nvme-cli (1.12-4) unstable; urgency=medium

  * Fix udev rules and config files. Thanks intrigeri (Closes: #968769)
  * Remove debian/package.bash-completion (Closes: #969345)

 -- Breno Leitao <leitao@debian.org>  Sun, 20 Sep 2020 10:39:01 +0100

nvme-cli (1.12-3) unstable; urgency=medium

  * Bring debhelper compat to 13 and fix build deps (Closes: ##969183)

 -- Breno Leitao <leitao@debian.org>  Sun, 20 Sep 2020 10:23:14 +0100

nvme-cli (1.12-2) unstable; urgency=medium

  *  Generate /etc/nvme/host* files at install time, not build time.
     Thanks Dan for the patch. (Closes: #969340)

 -- Breno Leitao <leitao@debian.org>  Sun, 20 Sep 2020 10:14:36 +0100

nvme-cli (1.12-1) unstable; urgency=medium

  * New upstream release.

 -- Breno Leitao <leit@debian.org>  Sat, 20 Jun 2020 09:27:22 +0100

nvme-cli (1.9-1) unstable; urgency=medium

  * New upstream release
  * Fixed dependencies (Closes: #944832)

 -- Breno Leitao <leitao@debian.org>  Sat, 23 Nov 2019 13:40:40 +0000

nvme-cli (1.7-1) unstable; urgency=medium

  * New upstream release

 -- Breno Leitao <leitao@debian.org>  Mon, 21 Jan 2019 06:25:35 -0500

nvme-cli (1.6-1) unstable; urgency=medium

  * New upstream release

 -- Breno Leitao <leitao@debian.org>  Mon, 06 Aug 2018 12:12:32 -0400

nvme-cli (1.5-1) unstable; urgency=medium

  * New upstream release

 -- Breno Leitao <leitao@debian.org>  Mon, 29 Jan 2018 12:59:02 -0500

nvme-cli (1.4-1) unstable; urgency=medium

  * New upstream release
  * Standard Version upgraded to 4.0.1

 -- Breno Leitao <leitao@debian.org>  Mon, 02 Oct 2017 08:27:23 -0400

nvme-cli (1.3-1) unstable; urgency=medium

  * New upstream release. Thanks Rodrigo R. Galvão <rosattig@br.ibm.com>

 -- Breno Leitao <leitao@debian.org>  Wed, 14 Jun 2017 16:36:20 -0300

nvme-cli (1.1-1) unstable; urgency=medium

  * New upstream release

 -- Breno Leitao <leitao@debian.org>  Mon, 06 Feb 2017 08:20:45 -0500

nvme-cli (1.0-3) unstable; urgency=medium

  * Last commit didn't fix all the problem for 32-bits archs.
    Fixing it properly now. (Closes: #847232)

 -- Breno Leitao <leitao@debian.org>  Wed, 14 Dec 2016 07:51:29 -0500

nvme-cli (1.0-2) unstable; urgency=medium

  * Fix FTBFS in 32-bits arch. (Closes: #847232)

 -- Breno Leitao <leitao@debian.org>  Tue, 13 Dec 2016 08:31:42 -0500

nvme-cli (1.0-1) unstable; urgency=medium

  * New upstream release.

 -- Breno Leitao <leitao@debian.org>  Thu, 24 Nov 2016 15:15:28 -0500

nvme-cli (0.9-1) unstable; urgency=medium

  * New upstream release

 -- Breno Leitao <leitao@debian.org>  Thu, 06 Oct 2016 13:03:59 -0400

nvme-cli (0.8-2) unstable; urgency=medium

  * Add a patch to enable nvme-cli to compile on 32 bits system (Thanks Steve
    Langasek) (Closes: #830521)

 -- Breno Leitao <brenohl@br.ibm.com>  Mon, 11 Jul 2016 12:48:11 -0400

nvme-cli (0.8-1) unstable; urgency=medium

  * New upstream release

 -- Breno Leitao <brenohl@br.ibm.com>  Sun, 03 Jul 2016 07:12:26 -0400

nvme-cli (0.7-1) unstable; urgency=medium

  * New upstream release
  * Bump Standard-Version to 3.9.8, no changes required.

 -- Breno Leitao <brenohl@br.ibm.com>  Tue, 21 Jun 2016 16:32:22 -0400

nvme-cli (0.5-1) unstable; urgency=medium

  * New upstream release
    - Fix version number (Closes: #816438)
  * Bump Standard-Version to 3.9.7, no changes required.
  * drop 0004-Fix-English-typos-only.patch: upstream.

 -- Breno Leitao <brenohl@br.ibm.com>  Tue, 22 Mar 2016 10:43:12 -0400

nvme-cli (0.3-1) unstable; urgency=medium

  * Initial release. (Closes: #810033)

 -- Breno Leitao <brenohl@br.ibm.com>  Tue, 05 Jan 2016 14:40:05 -0500
